Bug 489077 - swig: include Examples/ in %doc?
swig: include Examples/ in %doc?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 00:19 EST by Chris Weyl
Modified: 2013-04-30 19:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 11:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-03-07 00:19:35 EST
The swig source tarball contains an Examples directory with a bunch of different binding examples.  Any chance we can include this in %doc? :-)
Comment 1 Adam Tkac 2009-03-09 12:18:56 EDT
I moved all documentation to swig-doc subpackage and included Examples directory there. Fixed in 1.3.38-4.fc11, thanks for report.
Comment 2 Adam Tkac 2009-03-10 14:08:44 EDT
This change accidentally caused more serious problem (bug #489421) so I'm reverting this change for now.
Comment 3 Chris Weyl 2009-03-10 16:15:12 EDT
All prov/deps in %_docdir can be filtered as below, too:

https://fedoraproject.org/wiki/Packaging_talk:Perl#.25.7B_docdir.7D_specific_req.2Fprov_filtering
Comment 4 Adam Tkac 2009-03-30 11:07:33 EDT
(In reply to comment #3)
> All prov/deps in %_docdir can be filtered as below, too:
> 
> https://fedoraproject.org/wiki/Packaging_talk:Perl#.25.7B_docdir.7D_specific_req.2Fprov_filtering  

Thanks for the point. Fixed in swig-1.3.39-1.fc11.

Note You need to log in before you can comment on or make changes to this bug.